SwapFace

Consistent identity - Upload face image to swap

Deprecation notice

This endpoint is deprecated. We recommend using alternative endpoints to ensure continued support and compatibility.
POST
/api/swap/face

Reserved for premium users

Example:

import requestsimport jsonurl_api = 'https://api.piktid.com/api'face_full_path = 'url_of_your_face_to_swap'options = {}response = requests.post(url_api+'/swap/face',headers={'Authorization': 'Bearer '+TOKEN},files={'face': open(face_full_path, 'rb')},data={'options':json.dumps(options)},)face_name = response_json = json.loads(response.text).get('face_name')

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
face?unknown
options?string

Response Body

Success

application/json
  1. response
face_name?string
curl -X POST "https://example.com/api/swap/face" \  -H "Content-Type: application/json" \  -d '{}'
{  "face_name": "string"}